#Quantitative Fisheries Center
#R Short course
#R object types 1 (vectors, arrays, data frames)

###R HELP**


#Vector
v1<-c(12, 5, 6, 8, 24) #numeric
v2<-c("Yellow perch", "Largemouth bass", "Rainbow trout", "Lake whitefish", "Northern pike") #character
years<-c(1990:2007) #Obtain a sequence of numbers in a vector
#Print the vectors
v1
v2
years

#Matrix
#Create a 4 row by 5 column matrix using the array function
m1<-array(1:20, dim=c(4,5)) #The dim statement gives the dimensions of the matrix or array
m1

#Create a 4 row by 5 column matrix using the matrix function
m2<-matrix(1:20, ncol=5, nrow=4)
m2

#Create a matrix using the cbind (column) and rbind (row) commands (vectors must be of equal length)
m3<-cbind(v1, v2)
m3

m4<-rbind(v1, v2)
m4

#Create a data frame using vectors 1 and 2
df1<-data.frame(v1, v2)

#Create a data frame using matrix 1
df2<-data.frame(m1)
df2

#Alternatively, you can type vectors into a data frame
df3<-data.frame(x1=c(1,2,3), x2=c(4,5,6))
df3

#Edit data frame 1 in a spreadsheet-like view
df2<-edit(df1)


