#Quantitative Fisheries Center
#R Short course
#Graphing basics 3


chinook<-read.table("C:\\Documents and Settings\\wagnerty\\My Documents\\R-SHORT\\Programs\\3_Graphing Basics\\Chinook salmon data graphing example.txt", na.strings="NA",header=T)

###SHOW ~ vs , with data= argument

#Plot-showing mean, mean+sd, and median of fish length
#xlab='' makes x-axis label blank
plot(chinook$length, xlab='', ylab="Chinook length (mm)")

#Add lines to graph
abline(h=mean(chinook$length, na.rm=T), lty=1)
abline(h=mean(chinook$length, na.rm=T)+ sd(chinook$length, na.rm=T), lty=2)
abline(h=median(chinook$length, na.rm=T), lty=3)

#Add text to graph, coordinates are (x,y)
text(9,130,"Mean", cex=0.8)
text(9, 125, "Median", cex=0.8)
text(15, 138, "Mean + 1 SD", cex=0.8)


#Scatter plot identifying points by hatchery of origin. This is accomplished using the points() function
plot(chinook$length,chinook$wgt, xlab="Length (mm)", ylab="Weight (g)")
points(chinook$length[chinook$hatchery=="DWOR"], chinook$wgt[chinook$hatchery=="DWOR"], col="red", pch=19) 
points(chinook$length[chinook$hatchery=="MCCA"], chinook$wgt[chinook$hatchery=="MCCA"], col="blue", pch=9) 
points(chinook$length[chinook$hatchery=="RAPH"], chinook$wgt[chinook$hatchery=="RAPH"], col="black", pch=16) 