#Quantitative Fisheries Center
#R Short course
#R functions 3

#Create a vector of 20 random numbers
x<-rnorm(20,mean=50,sd=10)

#Create a vector (y) with the values 1 - 4 repeated 5 times
y<-rep(1:4,5)

#Create a data frame using x and y
df<-data.frame(x,y)

#Obtain a summary of data frame df
summary(df)

#Determine if the variables x and y in data frame df are numeric
is.numeric(df$x)
is.numeric(df$y)

#Convert variable y to a factor
df$y<-as.factor(df$y)

#Obtain summary of data frame df
summary(df)

#Obtain means of x by the groups created in y
means.y<-by(df$x,df$y,mean)
means.y




