#Quantitative Fisheries Center
#R Short course
#Analysis of variance 1

#Read in data
chinook<-read.table("C:\\Documents and Settings\\wagnerty\\My Documents\\R-SHORT\\Programs\\6_ANOVA\\Chinook salmon data.txt", na.strings="NA",header=T)

#Compare mean plasma triglycerides between hatcheries

anova.example<-aov(chinook$trigly~chinook$hatchery)
summary(anova.example)
summary.lm(anova.example)

boxplot(chinook$trigly~chinook$hatchery, xlab="Hatchery", ylab="Triglycerides (mg/dL)", 
col=c("blue", "red", "yellow"))
